Public Endpoints
The Video Service API provides system wide information about the service to the BCSC mobile app. Since these are public endpoints they can also be leveraged for consumption by services beyond the BCSC mobile app.
Get Destinations
Section titled “Get Destinations”Responses
Section titled “Responses”Show response body
[ { "destination_name": "Default Priority Queue Destination", "destination_priority": 3 }, { "destination_name": "Test Harness Queue Destination", "destination_priority": 2 }, { "destination_name": "Test Harness 1007 Destination", "destination_priority": 1 }, { "destination_name": "Test Harness 1008 Destination", "destination_priority": 1 }, { "destination_name": "Test Harness 1009 Destination", "destination_priority": 1 }, { "destination_name": "Test Harness 1010 Destination", "destination_priority": 1 }, { "destination_name": "High Priority Queue Destination", "destination_priority": 1 }]Get Service Hours
Section titled “Get Service Hours”Responses
Section titled “Responses”Show response body
{ "time_zone": "America/Vancouver", "regular_service_periods": [ { "start_day": "MONDAY", "end_day": "MONDAY", "start_time": "07:30", "end_time": "17:00" }, { "start_day": "TUESDAY", "end_day": "TUESDAY", "start_time": "07:30", "end_time": "17:00" }, { "start_day": "WEDNESDAY", "end_day": "WEDNESDAY", "start_time": "07:30", "end_time": "17:00" }, { "start_day": "THURSDAY", "end_day": "THURSDAY", "start_time": "07:30", "end_time": "17:00" }, { "start_day": "FRIDAY", "end_day": "FRIDAY", "start_time": "07:30", "end_time": "17:00" } ], "service_unavailable_periods": [ { "start_date": 1716188400, "end_date": 1716274799, "reason": "HOLIDAY", "reason_description": "Victoria Day" } ]}